%define api_ver 0.8

Name:           clutter-gtkmm
Version:        0.7.2
Release:        1%{?dist}

Summary:        C++ wrapper for clutter-gtk library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/clutter-gtkmm/0.7/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-gtk-devel
BuildRequires: cluttermm-devel
BuildRequires: gtkmm24-devel
BuildRequires: doxygen graphviz


%description
clutter-gtkmm is a C++ wrapper library for clutter-gtk: a library that
allows clutter to be embedded in GTK applications. Clutter is an
OpenGL-based library for creating fast, visually rich and animated
graphical user interfaces.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       clutter-gtk-devel
Requires:       cluttermm-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing %{name} applications.


%prep
%setup -q


%build
%configure --enable-shared --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
# Package examples in documentation
mkdir -p docs-to-include/examples
mv docs/reference/html docs-to-include/
cp examples/*.cc docs-to-include/examples/
cp examples/*.png docs-to-include/examples/
# Remove files related to code generation
rm -rf $RPM_BUILD_ROOT%{_libdir}/clutter-gtkmm-%{api_ver}
rm -rf $RPM_BUILD_ROOT%{_libdir}/cluttermm-%{api_ver}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libclutter-gtkmm-0.8.so.*


%files devel
%defattr(-, root, root, -)
%doc docs-to-include/*
%{_includedir}/clutter-gtkmm-%{api_ver}
%{_libdir}/libclutter-gtkmm-%{api_ver}.so
%{_libdir}/pkgconfig/%{name}-%{api_ver}.pc


%changelog
* Sun Sep  7 2008 Denis Leroy <denis@poolshark.org> - 0.7.2-1
- Initial version
